Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063039 - Review Request: rubygem-em-http-request - EventMachine based, async HTTP Request client
Summary: Review Request: rubygem-em-http-request - EventMachine based, async HTTP Requ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-02-09 17:59 UTC by Nitesh Narayan Lal
Modified: 2016-02-08 13:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-22 06:42:19 UTC
mmorsi: fedora-review?


Attachments (Terms of Use)

Description Nitesh Narayan Lal 2014-02-09 17:59:35 UTC
Spec URL: http://niteshnarayan.fedorapeople.org/SPECS/rubygem-em-http-request-1.1.2.spec
SRPM URL: http://niteshnarayan.fedorapeople.org/SRPMS/rubygem-em-http-request-1.1.2-1.fc19.src.rpm 
Description: EventMachine based, async HTTP Request client
Fedora Account System Username:
niteshnarayan

Comment 1 Mo Morsi 2014-02-20 14:20:24 UTC
Taking this one. Couple of preliminary things:

- this depends on rubygem-http_parser.rb which isn't in Fedora, that will need to be built & pushed before this can be officially built in koji. Will wait till we sort out that gem before running the builds for this

- There seems to be an extraneous %gem_install in the %check section, please remove

- Please consider rm'ing the directories which you currently %exclude in the file list. Would result in a much cleaner / consolidated files list

- Upstream indicates the project is licensed under the MIT license in the README but there is no separate license file. Please file an issue w/ the upstream project to include this

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

- Note while it doesn't directly impact this gem, this upstream issue is related:

https://github.com/igrigorik/em-websocket/pull/110

Comment 2 Miroslav Suchý 2015-07-21 15:01:39 UTC
Nitash, any progress here?

Comment 3 Nitesh Narayan Lal 2015-07-21 17:07:05 UTC
Nope unfortunately I am surrounded by loads of day job and other responsibilities. I didn't get time to continue this further, sorry for that.


Note You need to log in before you can comment on or make changes to this bug.